## org.eclipse.jst.jsf.metadataprocessors
Interface IMetaDataEnabledFeature

All Known Subinterfaces:
  ICreateValues, IDefaultValue, IPossibleValues, IPropertyPageDescriptor, IValidELValues, IValidValues

All Known Implementing Classes:
  AbstractEnumerationType, AbstractMetaDataEnabledFeature, AbstractRootTypeDescriptor, ActionType, BindingType, BooleanType, CharacterType, ColorType, ComponentBindingType, ComponentIDType, ContentType, CSSClassType, CSSIdType, CSSStyleType, CurrencyCodeType, DateTimePatternType, DefaultTypeDescriptor, DirectBindingType, DoubleType, EnumerationType, ExpressionBindingType, FacesConfigConverterIDFeatures, FacesConfigConverterIDType, FacesConfigIdentifierFeatures, FacesConfigIdentifierType, FacesConfigValidatorIDFeatures, FacesConfigValidatorIDType, IdentifierType, IntegerType, JavaClassType, LanguageCodeType, LengthType, LinkType, LocaleType, LongType, MethodBindingType, MultiSignatureEnumerationType, NumberPatternType, NumberType, ObjectType, PathType, RelativePathType, ResourceBundleType, ScriptType, StringType, TimeZoneType, URIType, ValueBindingType, ValueType, WebPathType

    public interface IMetaDataEnabledFeature

Required interface used by the MetaData feature processing framework. All features must extend this interface.

Provisional API - subject to change

Method Summary
`MetaDataContext` `getMetaDataContext()` Gets metadata model context that this feature will be operating on.
`IStructuredDocumentContext` `getStructuredDocumentContext()` Gets structured document context that this feature will operating on
`void` `setMetaDataContext(MetaDataContext context)` Sets metadata model context that this feature will operating on
`void` `setStructuredDocumentContext(IStructuredDocumentContext context)` Sets structured document context that this feature will operating on

Method Detail

### setStructuredDocumentContext

    void setStructuredDocumentContext(IStructuredDocumentContext context)

  Sets structured document context that this feature will operating on

  Parameters:
    `context` -

### getStructuredDocumentContext

    IStructuredDocumentContext getStructuredDocumentContext()

  Gets structured document context that this feature will operating on

  Returns:
    IStructuredDocumentContext

### setMetaDataContext

    void setMetaDataContext(MetaDataContext context)

  Sets metadata model context that this feature will operating on

  Parameters:
    `context` -

### getMetaDataContext

    MetaDataContext getMetaDataContext()

  Gets metadata model context that this feature will be operating on.

  Returns:
    MetaDataContext